package com.casic.missiles.service.cockpit;

import com.casic.missiles.dto.business.board.BoardDeptComprehensiveResponse;
import com.casic.missiles.dto.cockpit.*;

import java.util.List;

/**
 * @Description:
 * @Author: wangpeng
 * @Date: 2023/6/14 9:08
 */
public interface IMeasureTaskService {
    OrderInfoResponse orderInfo();

    List<LabAssetsResponse> labAssets();

    List<CockpitDeptOutputListResponse> deptOutputList(String startTime, String endTime);

    DeptOutputRatioResponse deptOutputRatio();

    List<BoardDeptComprehensiveResponse> workList();

    WorkRatioResponse workRatio();

    OverdueSampleResponse overdueSample();

    List<StaffAnalyseListResponse> staffAnalyse();
}
